Name:         mathtime
License:      GPL
Group:        Productivity/Publishing/TeX/Utilities
Provides:     mathtime
Requires:     tetex te_latex
Version:      1
Release:      1
URL:          http://authors.aps.org/revtex4/
Source0:      mathtime.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      MathTime package for LaTeX
Packager:     Anna Langley <jal58@cam.ac.uk>
BuildArch: noarch
Distribution: SUSE

%description
MathTime package for LaTeX

%install
mkdir -p "$RPM_BUILD_ROOT"/usr/share/texmf/tex/latex/
cd "$RPM_BUILD_ROOT"/usr/share/texmf/tex/latex/
tar xjvf "$RPM_SOURCE_DIR"/mathtime.tar.bz2

%post
ln -s /tools/texmf-local /usr/local/share/texmf
for map in lucidabr lumath mt-yy mt-plus
do
        updmap --enable Map $map.map > /dev/null 2>&1
done
updmap --disable mt-belleek.map  > /dev/null 2>&1
cd /usr/share/texmf/tex/latex/mathtime/
/usr/bin/texhash

%postun
/usr/bin/texhash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/texmf/tex/latex/mathtime

%changelog 
* Fri Aug 24 2007 Anna Langley <jal58@cam.ac.uk>
- Initial version
